# Remove all old libraries
echo Cleaning old libraries
vdel -lib work -all -verbose
vdel -lib utility -all -verbose
vdel -lib fpu -all -verbose
vdel -lib fpu_tb -all -verbose
vdel -lib TextLib -all -verbose
vdel -lib simLib -all -verbose
# Build
echo building new libraries
vlib work
vlib utility
vlib fpu
vlib fpu_tb
vlib TextLib
vlib simLib
vlib fio
echo mapping new libraries
vmap work work
vmap utility utility
vmap fpu fpu
vmap fpu_tb fpu_tb
vmap TextLib TextLib
vmap simLib simLib
vmap fio fio
# Compile files
# Utility Files
vcom -work utility ../code/core/libs/utility/tools_pkg.vhd
vcom -work utility ../code/core/libs/utility/BarrelShifter.vhd
vcom -work utility ../code/core/libs/utility/cores_pkg.vhd
#fpu lib files
vcom -work fpu ../code/core/libs/fpu/fpu_pkg.vhd
vcom -work fpu ../code/core/libs/fpu/components_pkg.vhd
#Core files
vcom -work fpu ../code/core/decode.vhd
vcom -work fpu ../code/core/addsub.vhd
vcom -work fpu ../code/core/Rndnorm.vhd
vcom -work fpu ../code/core/encode.vhd
vcom -work fpu ../code/core/excp_gen.vhd
vcom -work fpu ../code/core/Cal_unit.vhd -explicit
vcom -work fpu ../code/core/FpuTop.vhd
#vcom -work fpu ../code/core/fpu_cfg.vhd
#Simulation library files
vcom -work simLib ../code/sim/libs/simLib/sim_utils_pkg.vhd
vcom -work TextLib ../code/sim/libs/txt_utilsLib/txt_util.vhd
vcom -work fio ../code/sim/libs/fio/PCK_FIO.vhd -87
#Simulation core files
vcom -work fpu_tb ../code/sim/tb/fpu_tb_pkg.vhd
vcom -work fpu_tb ../code/sim/tb/fpu_server_tb.vhd
vcom -work fpu_tb ../code/sim/tb/fpu_client_tb.vhd
vcom -work fpu_tb ../code/sim/tb/fpu_tb.vhd
