-------------------------------------------------------------------------------
-- Title      :  Simulation utilities package
-- Project    :  Jamil Khatib Packages
-------------------------------------------------------------------------------
-- File        : sim_utils_pkg.vhd
-- Author      : Jamil Khatib  (khatib@ieee.org)
-- Organization: OpenIPCore Project
-- Created     : 2000/12/29
-- Last update: 2001/01/10
-- Platform    : 
-- Simulators  : Modelsim 5.3XE/Windows98
-- Synthesizers: 
-- Target      : 
-- Dependency  : ieee.std_logic_1164
--
-------------------------------------------------------------------------------
-- Description:   Simulation utilities package
-------------------------------------------------------------------------------
-- Copyright (c) 2000 Jamil Khatib
-- 
-- This VHDL design file is an open design; you can redistribute it and/or
-- modify it and/or implement it after contacting the author
-- You can check the draft license at
-- http://www.opencores.org/OIPC/license.shtml

-------------------------------------------------------------------------------
-- Revisions  :
-- Revision Number :   1
-- Version         :   0.1
-- Date            :   29 Dec 2000
-- Modifier        :   Jamil Khatib (khatib@ieee.org)
-- Desccription    :   Created
--
-------------------------------------------------------------------------------
-------------------------------------------------------------------------------
-- Revisions  :
-- Revision Number :   2
-- Version         :   0.2
-- Date            :   9 Jan 2001
-- Modifier        :   Jamil Khatib (khatib@ieee.org)
-- Desccription    :   Hex string to std_logic_vector function added
--                     Timing Functions were removed because of syntax error 
-------------------------------------------------------------------------------

library ieee;
use ieee.std_logic_1164.all;

package sim_utils_pkg is

-- Setup time check and report if there is a violation
-- It prints a report to the default sysIO
-- Assumes rising edge clock
--  procedure setuptime_check (
--    clock     : in std_logic;           -- system clock
--    signalIn  : in std_logic;           -- Signal to monitor
--    SetupTime : in time);               -- Setup time

--  -- Hold time check and report if there is a violation
--  -- It prints a report to the default sysIO
--  -- Assumes rising edge clock
--  procedure holdtime_check (
--    clock    : in std_logic;            -- system clock
--    SignalIn : in std_logic;            -- Signal to monitor
--    HoldTime : in time);                -- Hold time

-- Hex character to std_logic_vector convertor  
  function hexstr_2_slv (
    c : character)                      -- Input character
    return std_logic_vector;
  
end sim_utils_pkg;
-------------------------------------------------------------------------------

package body sim_utils_pkg is
-- purpose: Hex character to std_logic_vector convertor
function hexstr_2_slv (
  c : character)                        -- Input character
  return std_logic_vector is
variable slv : std_logic_vector(3 downto 0);  -- Std_logic_vector
begin  -- hexstr_2_slv

  case c is
    when '0' => slv := "0000";
    when '1' =>  slv := "0001";
    when '2' =>  slv :="0010";
    when '3' => slv := "0011";
    when '4' => slv := "0100";
    when '5' =>  slv :="0101";
    when '6' =>  slv :="0110";
    when '7' =>  slv :="0111";
    when '8' =>  slv :="1000";
    when '9' =>  slv :="1001";
    when 'A'|'a' =>  slv :="1010";
    when 'B'|'b' =>  slv :="1011";
    when 'C'|'c' =>  slv :="1100";
    when 'D'|'d' =>  slv :="1101";
    when 'E'|'e' =>  slv :="1110";
    when 'F'|'f' =>  slv :="1111";
    when others =>  slv :="0000";
  end case;
  return slv;
end hexstr_2_slv;

-- purpose: Setup time check
--  procedure setuptime_check
--    (
--      clock     : in std_logic;         -- system clock
--      signalIn  : in std_logic;         -- Signal to monitor
--      SetupTime : in time)
--  is
--  begin  -- setuptime_check

--    wait until clock = '1';
--    assert signalIn'stable(SetupTime)
--      report "Setup Time violation"
--      severity warning;

--  end setuptime_check;
---------------------------------------------------------------------------------
---- purpose: Hold time check
--  procedure holdtime_check
--    (
--      clock    : in std_logic;          -- system clock
--      SignalIn : in std_logic;          -- Signal to monitor
--      HoldTime : in time);              -- Hold time

--  is
--  begin  -- holdtime_check
--    if SignalIn'event and clock = '1' then
--      assert clock'stable(HoldTime)
--        report "Hold Time Violation"
--        severity warning;
--    end if;

--  end holdtime_check;

-------------------------------------------------------------------------------

end sim_utils_pkg;
