-------------------------------------------------------------------------------
-- Title      :  FPU Test bench configuration
-- Project    :  Floating-Point Unit core
-------------------------------------------------------------------------------
-- File        : fpu_cfg.vhd
-- Author      : Jamil Khatib  (khatib@ieee.org)
-- Organization: OpenIPCore Project
-- Created     : 2001/01/13
-- Last update: 2001/01/13
-- Platform    : 
-- Simulators  : Modelsim 5.3XE/Windows98
-- Synthesizers: 
-- Target      : 
-- Dependency  : ieee.std_logic_1164
--               fpu.fpu_pkg
--               fpu_tb.fpu_tb_pkg
-------------------------------------------------------------------------------
-- Description: FPU test bench configuration
-------------------------------------------------------------------------------
-- Copyright (c) 2000 Jamil Khatib
-- 
-- This VHDL design file is an open design; you can redistribute it and/or
-- modify it and/or implement it after contacting the author
-- You can check the draft license at
-- http://www.opencores.org/OIPC/license.shtml

-------------------------------------------------------------------------------
-- Revisions  :
-- Revision Number :   1
-- Version         :   0.1
-- Date            :   13 Jan 2001
-- Modifier        :   Jamil Khatib (khatib@ieee.org)
-- Desccription    :   Created
-- Known bugs      :   
-- To Optimize
-------------------------------------------------------------------------------

library fpu_tb;
use fpu_tb.fpu_tb_pkg.all;

library fpu;
use fpu.fpu_pkg.all;

configuration fpu_tb_cfg of fpu_server_tb_ent is
  for Fpu_server_tb_beh

    for uut : fpu_ent
      use entity fpu.fpu_ent(fpu_str);

    end for;
  end for;

end fpu_tb_cfg;
