-------------------------------------------------------------------------------
-- Title      :  FPU top Test Bench
-- Project    :  Floating-Point Unit core
-------------------------------------------------------------------------------
-- File        : Fpu_tb.vhd
-- Author      : Jamil Khatib  (khatib@ieee.org)
-- Organization: OpenIPCore Project
-- Created     : 2001/1/27
-- Last update: 2001/01/27
-- Platform    : 
-- Simulators  : Modelsim 5.3XE/Windows98
-- Synthesizers: 
-- Target      : 
-- Dependency  : ieee.std_logic_1164
--               fpu_tb.fpu_tb_pkg
-------------------------------------------------------------------------------
-- Description: FPU  test bench.
-------------------------------------------------------------------------------
-- Copyright (c) 2001 Jamil Khatib
-- 
-- This VHDL design file is an open design; you can redistribute it and/or
-- modify it and/or implement it after contacting the author
-- You can check the draft license at
-- http://www.opencores.org/OIPC/license.shtml

-------------------------------------------------------------------------------
-- Revisions  :
-- Revision Number :   1
-- Version         :   0.1
-- Date            :   27 Jan 2001
-- Modifier        :   Jamil Khatib (khatib@ieee.org)
-- Desccription    :   Created
-- Known bugs      :   
-- To Optimize
-------------------------------------------------------------------------------
library ieee;
use ieee.std_logic_1164.all;

library fpu_tb;
use fpu_tb.fpu_tb_pkg.all;

entity fpu_tb is
  generic (
    LogFile  : string := "SimResult.log";  -- LogFile
    StimFile : string := "stim.vec");      -- Stimulus File
end fpu_tb;

architecture Fpu_tb_str of fpu_tb is


  signal FPUTask_i : FPUTask_typ;       -- FPU Task
  signal EOT_i : std_logic;               -- End of task
  signal Result_i : FPUTaskResult_typ;  -- Task Result
  
begin  -- Fpu_tb_str

  client : Fpu_client_tb_ent
    generic map (
      LogFile  => LogFile,
      StimFile => StimFile)
    port map (
      FPUTask  => FPUTask_i,
      EOT      => EOT_i,
      Result   => Result_i);

  server : fpu_server_tb_ent
    port map (
      FPUTask    => FPUTask_i,
      EOT        => EOT_i,
      TaskResult => Result_i);

end Fpu_tb_str;
